*{
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            font-family: Georgia, 'Times New Roman', Times, serif;
        }
        .container{
            min-height: 100vh;
            background-image: linear-gradient(to right ,rgb(10,10,10,0.9) ,rgb(10,10,10,0.6));
            
            
        }
        .header{
            background-image: linear-gradient(to right ,rgb(10,10,10,0.9) ,rgb(10,10,10,0.6)), url("./assets2/saurabh2.jpeg");
            background-size: cover;
            background-position: top right ;
            background-repeat: no-repeat;
            min-height: 70vh;
            /* width: 100%; */
            padding-bottom: 20px;
            
        }
        .nav{
            display: flex;
            justify-content: center;
            flex-wrap: wrap;
        }
        .link{
            margin: 20px;
        }
        .link a{
            text-decoration: none;
            color: white;
            margin: 5px;
            padding: 4px;
            
        }
        .nav button{
            position: absolute;
            right: 10px;
            top: 10px;
            margin: 10px;
            padding: 4px;
            background-color: rgb(109, 109, 198);
            color: white;
            border: 1px solid white ;
            border-radius: 5px;
            background-image: linear-gradient(to right ,rgb(10,10,10,0.9) ,rgb(10,10,10,0.6));

        }
        .masala{
            /* height: 20vh; */
            /* width: 55%; */
            flex: 1 1 400px;
            font-size: xx-large;
            margin: 20px;
            color: white;
        }
        .masala .experience{
            width: fit-content;
            margin: 10px;
            display: flex;
            border: 1px solid black;
            box-shadow: 5px 5px 5px 5px rgb(0, 0, 0);
        }
        .intro{
            height: fit-content;
            /* width: 30%; */
            flex: 1 1 300px;
            padding: 10px;
            /* margin-top: 90px;
            margin-right: 6px; */
            margin: 120px;
            border: 1px solid white;
            border-radius: 5px;
            /* overflow: auto; */
            /* float: right; */
        }
        .intro p{
            margin: 2px;
            color: white;
        }
        .intro button{
            margin: 10px;
            padding: 10px;
            background-color: blueviolet;
            border: 1px solid white;
            border-radius: 5px;
        }
        .body{
            /* height: calc(100vh - 70vh); */
            /* height: 30vh; */
            background-image: linear-gradient(to right ,rgb(10,10,10,0.9) ,rgb(10,10,10,0.6));
            

        }
        .about{
            min-height: 100vh;
            background-image: linear-gradient(to right ,rgb(10,10,10,0.9) ,rgb(10,10,10,0.6));
            display: flex;
            flex-wrap: wrap;
            justify-content: space-evenly;
            align-items: center;
            padding: 20px;
            color: white;

        }
        .left{
            /* width: 50%; */
            flex: 1 1 400px;
            margin: 50px;
        }
        .left h1{
            /* margin: 5px; */
            padding: 20px;
        }
        .left p{
            margin: 20px;
        }
        .left button{
            margin: 6px;
            background-image: linear-gradient(to right ,rgb(10,10,10,0.9) ,rgb(10,10,10,0.6));
            padding: 10px;

        }
        .right{
            flex:  1 1 400px;
        }
        .right img{
            height: auto;
            width: 100%;
        }
        .skill{
            background-image: url(./assets2/ChatGPT\ Image\ Apr\ 25\,\ 2026\,\ 09_37_15\ PM.png);
            min-height: 100vh;
        }
        .skillDash{
            text-align: center;
            color: white;
            padding: 40px;
        }
        .skillspan{
            margin: 10px;
            border: 1px solid white;
            border-radius: 10px;
            padding: 5px;
            background-color: rgba(255, 255, 255, 0.317);
        }
        h2{
            margin: 15px;
        }
        .image{
            min-width: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-wrap: wrap;

        }
        img{
            height: 300px;
            width: 300px;
            border-radius: 10px;
            margin: 5px;
        }
        .frontend{
            height: 300px;
            width: 500px
        }
        .project{
            background-image: linear-gradient(rgba(0, 0, 0, 0.66));
            text-align: center;
            color: white;
            padding: 20px;
        }
        .projectimg{
            display: flex;
            align-items: center;
            justify-content: center;
            flex-wrap: wrap;
        }
        .projectspan{
            margin: 10px;
            border: 1px solid white;
            border-radius: 10px;
            padding: 5px;
            background-color: rgba(50, 167, 89, 0.317);
            color: greenyellow;
        }
        .contact{
            min-height: 50vh;
            display: flex;
            flex: wrap;
        }
        .leftcontact{
            flex: 1 1 300px;
            margin: 20px;
            color: white;
        }
        .leftcontact h5{
            font-size: 20px;
            text-shadow: 2px 2px 2px black;
        }
        .leftcontact span{
            /* margin: 10px; */
            color: aqua;
        }
        .app{
            margin: 50px;
            padding: 10px;
        }
        .apps{
            margin: 30px;
        }
        .appimg{
            height: 30px;
            width: 30px;

        }
        .rightcontact{
            flex: 1 1 300px;
            margin: 20px;
            color: white;
        }
        .rightcontact label,input{
            margin: 10px;
            padding: 5px;
        }
        .email{
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }
        .button{
            display: flex;
            justify-content: center;
        }
        .button button{
            background-color: greenyellow;
            padding: 5px;
            width: 70px;
            
        }
        ::placeholder {
            color: red;
            opacity: 1; 
        }